<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
function printLinks()
{
  if(!$link = mysql_connect("localhost", "test", "test")){
    //echo("Problem z połączeniem z bazą danych.");
    return false;
  }
  if(!mysql_select_db("test")){
    //echo("Problem z połączeniem z bazą danych.");
    mysql_close($link);
    return false;
  }

  $query = "SELECT LINK, OPIS FROM LINKS ORDER BY OPIS ASC";

  if(!$result = mysql_query($query)){
    //echo("Problem z bazą danych: odrzucone zapytanie");
    mysql_close($link);
    return false;
  }

  echo("<ul>\n");
  while($row = mysql_fetch_array($result)){
    $addr = $row[0];
    $opis = $row[1];
    if($opis == "") $opis = $addr;
    $addr = "<li><a href=\"$addr\">$opis</a>\n";
    echo($addr);
  }
  echo("</ul>\n");
  mysql_close($link);
  return true;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div>
<?php if(!printLinks()) echo "Lista nie jest dostępna."; ?>
</div>
</body>
</html>